<div class="row d-flex justify-content-between" *ngIf="rolUsuario ==='Cuidador'">
  <h3 class="font-medium my-3 col-6">Contactos de emergencias de: </h3>
    <div class="my-3 col-6 d-flex justify-content-end">
    <select  [(ngModel)]="usuarioContactos" (change)="cambiarlista()" 
    class="form-select form-select-sm"
    aria-label=".form-select-sm example"  >
     <option *ngFor="let paciente of listaPacientes" [ngValue]="paciente.id">
            {{ paciente.nombre }} {{ paciente.apellido }}
          </option>
      </select>
      </div>
  </div>

  

<div class="row">
  <div class="col-lg-12 col-md-6" >
    <P><A href="contactos/crear" class="btn btn-primary"> Agregar contacto</A></P>
  </div>
   
    <div class="col-lg-12 col-md-6 table-responsive" >
      <div class="card">
        <div class="card-body">
      

      <div *ngIf="cantidad==0; then thenBlock else elseBlock"></div>
      <ng-template #thenBlock>

        <h4 class="font-medium my-3 col-12">El paciente no tiene posee contactos de emergencia.</h4>
      </ng-template>
      <ng-template #elseBlock> 
     
          <table class="table align-middle text-nowrap"  >
            <thead>

              <tr>
                <th></th>
                  <th></th>
                <th colspan="2">¿A quién ayuda este contacto?                  </th>
                <th></th>
                <th></th>
              </tr>


                <tr>
                    <th class="text-dark font-medium fs-4">Nombre</th>
                    <th class="text-dark font-medium fs-4">Teléfono</th>
                    <th class="text-dark font-medium fs-4">Paciente</th>
                    <th class="text-dark font-medium fs-4">Cuidador</th>
                    <th class="text-dark font-medium fs-4">Eliminar</th>
                    <th class="text-dark font-medium fs-4">Editar</th>
                </tr>
            </thead>
            <tbody>
              <tr   *ngFor="let contacto of listaContacto">
      

  
     
                  <td class="text-dark font-medium fs-4 " >{{contacto.nombre}}</td>
                  <td class="text-dark font-medium fs-4 " >(+549) {{contacto.telefono.slice(3)}}</td>
               
                  <td>

                    <label class="content-input">
                      <div *ngIf="contacto.paciente==true; then thenBlock else elseBlock"></div>
                      <ng-template #thenBlock> <input type="checkbox" checked  disabled></ng-template>
                      <ng-template #elseBlock> <input type="checkbox" disabled></ng-template>
                      <i></i>
                    </label>


                  </td>
                  <td>
                    <label class="content-input">
                      <div *ngIf="contacto.cuidador==true; then thenBlock else elseBlock"></div>
                      <ng-template #thenBlock> <input disabled type="checkbox" checked  ></ng-template>
                      <ng-template #elseBlock> <input type="checkbox" disabled></ng-template>
                      <i></i>
                    </label>
                    
                     
                </td>

                <td><button class="btn btn-danger btn-sm" (click)="eliminar(contacto.id)" ><i class="bi bi-trash-fill"></i> </button></td>
                <td><a class="btn btn-primary  btn-sm" href="/contactos/editar/contacto/{{contacto.id}}" ><i class="bi bi-vector-pen"></i> </a></td>
                </tr>   
            </tbody>
        </table>
      </ng-template>

    </div></div>


    </div>
    </div>


 